#include<iostream>
#include<iomanip>
using namespace std;

void create_geog_h2(){

	ifstream f_in;
	f_in.open("bemcTower.dat");

	float x[4801],y[4801],z[4801],r;
	int id,N[4801],neib[4801][8];
	float eta[4801],phi[4801];
	int temp_int;
	float temp_float;

   ofstream ouf;
   ouf.open("value_eta.txt"); 
   ofstream ouf2;
   ouf2.open("value_phi.txt"); 
   ofstream ouf3;
   ouf3.open("value_x.txt"); 


   for(int j=1;j<4801;j++){
	   f_in>>temp_int>>id>>temp_int>>temp_int>>temp_float;
	   f_in>>x[id]>>y[id]>>z[id]>>eta[id]>>phi[id]>>N[id];
//	   cout<<"x[id]="<<x[id]<<endl;
	   for(int k=0;k<N[id];k++) {f_in>>neib[id][k]; if(neib[id][k]==-1) neib[id][k]=0;}
   }
     for(int j=1;j<4801;j++){
		r=sqrt(x[j]*x[j]+y[j]*y[j]+z[j]*z[j]);
		x[j]/=r;y[j]/=r;z[j]/=r;
	 }
   

   for(int j=1;j<4801;j++){
     ouf<<", "<<eta[j];
	 if(j%30==0&&j>0) ouf<<endl;
   }
   ouf<<endl;
   for(int j=1;j<4801;j++){
     ouf2<<", "<<phi[j];
	 if(j%30==0&&j>0) ouf2<<endl;
   }
   ouf2<<endl;
   for(int j=1;j<4801;j++){
     ouf3<<", "<<x[j];
	 if(j%30==0&&j>0) ouf3<<endl;
   }
   ouf3<<endl;




}
